# WARNING: This package is synced with FC
%global apiversion 0.1
%global major 1
%define libname %mklibname etonyek %apiversion %major
%define devname %mklibname -d etonyek

Name: libetonyek
Version: 0.1.10
Release: %mkrel 3
Summary: A library for import of Apple iWork documents

Group: System/Libraries
License: MPLv2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libetonyek
Source: https://dev-www.libreoffice.org/src/libetonyek/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: glm-devel
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: make
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(liblangtag)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mdds-2.0)
BuildRequires: pkgconfig(zlib)
 
%description
%{name} is library for import of Apple iWork documents. It supports
documents created by any version of Keynote, Pages or Numbers.

%package -n %libname
Summary: A library for import of Apple iWork documents
Group: System/Libraries
Obsoletes: %{_lib}etonyek1 < 0.1.1-2

%description -n %libname
%{name} is library for import of Apple iWork documents. It supports
documents created by any version of Keynote, Pages or Numbers.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libetonyek-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Apple iWork documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Apple iWork documents into other formats. Currently
supported: CSV, HTML, SVG, text, and raw.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror --with-mdds=2.0
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install

rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in key2raw key2text key2xhtml numbers2csv numbers2raw numbers2text pages2html pages2raw pages2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 key2*.1 numbers2*.1 pages2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
if ! %make_build check; then
    cat src/test/*.log
    exit 1
fi

%files -n %libname
%doc AUTHORS FEATURES NEWS README
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.1.10-3.mga9
+ Revision: 1840803
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 0.1.10-2.mga9
+ Revision: 1777991
- use mdds-2.0

* Sun Jun 13 2021 tv <tv> 0.1.10-1.mga9
+ Revision: 1730562
- new upstream release

* Wed Aug 05 2020 joequant <joequant> 0.1.9-4.mga8
+ Revision: 1611115
- bump and rebuild
+ tv <tv>
- fix build with latest boost
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 0.1.9-3.mga8
+ Revision: 1530530
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 0.1.9-2.mga8
+ Revision: 1490393
- add fix for contemporary glm
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 02 2019 tv <tv> 0.1.9-1.mga8
+ Revision: 1436290
- update for mdds-1.5

* Tue Jan 01 2019 luigiwalser <luigiwalser> 0.1.9-1.mga7
+ Revision: 1347915
- 0.1.9

* Sun Sep 02 2018 tv <tv> 0.1.8-2.mga7
+ Revision: 1256149
- fix build with mdds 1.4

* Thu Aug 16 2018 tv <tv> 0.1.8-1.mga7
+ Revision: 1251978
- new release

* Wed Apr 11 2018 tv <tv> 0.1.7-1.mga7
+ Revision: 1217522
- new release

* Fri Sep 30 2016 tv <tv> 0.1.6-6.mga6
+ Revision: 1057928
- switch to mdds 1.x
+ daviddavid <daviddavid>
- fix BR pkgconfig(mdds-1.0) -> pkgconfig(mdds-1.2)

* Mon Jun 20 2016 pterjan <pterjan> 0.1.6-4.mga6
+ Revision: 1036999
- Update tests for liblangtag
+ tv <tv>
- use %%license
- generate and install man pages

* Tue Mar 15 2016 tv <tv> 0.1.6-2.mga6
+ Revision: 991045
- switch to mdds 1.x

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.1.6-1.mga6
+ Revision: 927241
- 0.1.6

* Fri Dec 25 2015 tv <tv> 0.1.5-2.mga6
+ Revision: 914734
- rebuild for new boost 1.60

* Mon Dec 07 2015 tv <tv> 0.1.5-1.mga6
+ Revision: 908716
- drop merged patches
- new release
- sync with FC

* Fri Nov 27 2015 tv <tv> 0.1.4-1.mga6
+ Revision: 906479
- BR help2man
- use pkgconfig() BR style
- add build fixes from FC
- fix build with mdds-0.x
- new release

* Wed Aug 26 2015 tv <tv> 0.1.3-2.mga6
+ Revision: 869846
- rebuild with gcc5

* Mon Jun 29 2015 tv <tv> 0.1.3-1.mga6
+ Revision: 847690
- BR mdds
- new release

* Tue Jun 23 2015 tv <tv> 0.1.2-2.mga6
+ Revision: 840274
- add patches from FC
- BR glm-devel
- revert doble boost BR
- BR boost-devel
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-4.mga5
+ Revision: 742255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 681443
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 wally <wally> 0.1.1-2.mga5
+ Revision: 661114
- fix lib pkg name

* Thu Jul 31 2014 tv <tv> 0.1.1-1.mga5
+ Revision: 658638
- adjust file list
- bump api
- bump major
- BR librevenge
- new release

* Sun Apr 27 2014 tv <tv> 0.0.4-1.mga5
+ Revision: 618472
- new release

* Thu Feb 06 2014 tv <tv> 0.0.3-2.mga5
+ Revision: 584327
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.3-1.mga5
+ Revision: 584301
- imported package libetonyek


* Thu Feb 06 2014 Thierry Vignaud <tv@mageia.org> 0.0.3-1.mga5
- initial import (from FC)
